Package com.fasterxml.jackson.datatype.jsr310.ser

# Class ZoneIdSerializer

java.lang.Object
com.fasterxml.jackson.databind.JsonSerializer<T>
com.fasterxml.jackson.databind.ser.std.StdSerializer<Object>
com.fasterxml.jackson.databind.ser.std.ToStringSerializerBase
com.fasterxml.jackson.datatype.jsr310.ser.ZoneIdSerializer

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`, `com.fasterxml.jackson.databind.jsonschema.SchemaAware`, `Serializable`

public class ZoneIdSerializer extends com.fasterxml.jackson.databind.ser.std.ToStringSerializerBase

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`com.fasterxml.jackson.databind.JsonSerializer.None`

## Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

## Constructor Summary

Constructors
Constructor
Description
`ZoneIdSerializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`serializeWithType(Object value, com.fasterxml.jackson.core.JsonGenerator g, com.fasterxml.jackson.databind.SerializerProvider provider, com.fasterxml.jackson.databind.jsontype.TypeSerializer typeSer)`
`String`
`valueToString(Object value)`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.ToStringSerializerBase

`acceptJsonFormatVisitor, getSchema, isEmpty, serialize`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_neitherNull, _nonEmpty, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, unwrappingSerializer, usesObjectId, withFilterId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZoneIdSerializer

public ZoneIdSerializer()

## Method Details

### serializeWithType

public void serializeWithType(Object value, com.fasterxml.jackson.core.JsonGenerator g, com.fasterxml.jackson.databind.SerializerProvider provider, com.fasterxml.jackson.databind.jsontype.TypeSerializer typeSer) throws IOException

Overrides:
  `serializeWithType` in class `com.fasterxml.jackson.databind.ser.std.ToStringSerializerBase`
Throws:
  `IOException`

### valueToString

public String valueToString(Object value)

Specified by:
  `valueToString` in class `com.fasterxml.jackson.databind.ser.std.ToStringSerializerBase`